.form-authorization__modal {
    max-width: 450px;
    //height: 450px;
    width: 100%;
    background: linear-gradient(180deg, rgba(59, 183, 126, 0.38) 0%, rgba(223, 246, 235, 0.45) 64%);
    border: 2px solid rgba(255, 255, 255, 0.5);
    border-radius: 20px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.form-authorization {
    width: 100%;
    padding: 20px 10px;

    &__title {
        text-transform: uppercase;
        font-weight: 500;
        font-size: 30px;
        line-height: 35px;
        text-align: center;
        letter-spacing: 2px;
        margin-top: 10px;
        margin-bottom: 50px;
    }

    &__btn-close {
        position: absolute;
        top: 0;
        right: 0;
        width: 40px;
        height: 40px;
        background-color: rgb(59, 183, 126);
        border: none;
        border-bottom-left-radius: 20px;
        display: flex;
        justify-content: center;
        align-items: center;

        & svg path {
            fill: #fff;
        }

        &:hover {
            & svg path {
                fill: #162938;
            }
        }
    }

    .input-box {
        position: relative;
        width: 100%;
        margin: 50px 0;
        height: 50px;
    }

    .form-auth__label {
        position: relative;
        display: block;
        width: 100%;
        height: 100%;
        border-bottom: 2px solid #162938;
        box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;

        span {
            position: absolute;
            display: inline-block;
            width: 100%;
            left: 0px;
            bottom: 9px;
            font-size: 18px;
            line-height: 25px;
            font-weight: 500;
            z-index: -8;
            transition-property: transform;
            transition-duration: 0.4s;
            transition-timing-function: ease;

        }

        & svg {
            position: absolute;
            right: 0;
            bottom: 10px;
            line-height: 30px;
            z-index: 6;
        }



    }


    & .btn-lock {
        position: absolute;
        right: -9px;
        bottom: 10px;
        line-height: 30px;
        z-index: 6;
    }


    .form-auth__input {
        position: relative;
        z-index: 5;
        width: 100%;
        height: 100%;
        background: transparent;
        font-size: 22px;
        line-height: 24px;
        color: #162938;
        font-weight: 600;
        transition-property: transform;
        transition-duration: 0.4s;
        transition-timing-function: ease;
        margin-bottom: 8px;
        padding: 0 35px 0 5px;

    }

    .form-auth__input:focus+span {
        transform: translateY(-130%);
    }

    & .filled span {
        transform: translateY(-130%);
    }

    .row {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 20px;
    }

    .btn-authorization {
        display: block;
        width: 100%;
        height: 50px;
        // background-color: rgb(59, 183, 126);
        box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
        background: linear-gradient(180deg, rgba(59, 183, 126, 0.38) 0%, rgba(44, 88, 66, 0.66) 64%);
        border-radius: 22px;
        font-size: 24px;
        letter-spacing: 1px;
        line-height: 26px;
        font-weight: 500;
        color: #fff;

        &:hover {
            color: #162938;
            box-shadow: rgba(148, 237, 196, 0.5) 0px 25px 20px -20px;
            background: linear-gradient(180deg, rgba(114, 227, 175, 0.53) 0%, rgba(126, 233, 184, 0.11) 98%);
        }

        &:active {
            background: linear-gradient(180deg, rgba(99, 238, 174, 0.65) 0%, rgba(189, 244, 219, 0.99) 98%);
        }

    }

    .form-authorization__text {
        color: #162938;
        font-weight: 600;
        font-size: 18px;
        line-height: 20px;
    }

    .form-authorization__registr {
        margin-left: 5px;
        font-size: 18px;
        line-height: 20px;
        font-weight: 600;
        color: rgba(44, 88, 66);

        &:hover {
            text-decoration: underline;
        }
    }

    & .row-valid {
        height: 20px;
    }

    & .is-not-valid {
        font-size: 18px;
        font-weight: 600;
        margin-bottom: 18px;
        text-align: center;
        color: rgba(200, 50, 50, 0.8);
    }

    & .has-valid {
        border-bottom: 2px solid rgba(200, 50, 50, 0.8);
        box-shadow: rgba(200, 50, 50, 0.5) 0px 25px 20px -20px;

        span {
            color: rgba(200, 50, 50, 0.8);
        }
    }

    & .has-valid {
        svg {
            fill: #c83232;
        }

        &+.btn-lock {
            svg {
                fill: #c83232;
            }
        }


    }
}